---
title: RTCIceTcpCandidateType
slug: Web/API/RTCIceTcpCandidateType
tags:
  - API
  - Enum
  - Enumerated Type
  - RTCIceTcpCandidateType
  - Reference
  - TCP Type
  - Type
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API's</a> <code><strong>RTCIceTcpCandidateType</strong></code> enumerated type provides a set of {{domxref("DOMString")}} values representing the types of TCP candidates.</span></p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>"active"</code></dt>
 <dd>The transport will try to open an outbound connection but won't receive inoming connection requests.</dd>
 <dt><code>"passive"</code></dt>
 <dd>The transport will receive incoming connection requests but won't try to open an outbound connection.</dd>
 <dt><code>"so"</code></dt>
 <dd>The transport will try to open a connection simultaneously with its peer.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>RTCIceTcpCandidateType</code> type is used by the {{domxref("RTCIceCandidate.tcpType", "tcpType")}} property of {{domxref("RTCIceCandidate")}} objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtcicetcpcandidatetype', 'RTCIceTcpCandidateType')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTcpCandidateType")}}</p>
</div>
